aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/Makefile
diff options
context:
space:
mode:
authorChmouel Boudjnah <chmouel@mandriva.org>2002-01-30 13:37:15 +0000
committerChmouel Boudjnah <chmouel@mandriva.org>2002-01-30 13:37:15 +0000
commit95a92d1f3df1ecffb96456575126caed1b74bb15 (patch)
treeeff0c813ea22e390783ed668abe97bf17bdcb392 /scripts/Makefile
parent4eed3b39a529d2b0cb8479a4fa9feee9bcbfe940 (diff)
downloadbootsplash-95a92d1f3df1ecffb96456575126caed1b74bb15.tar
bootsplash-95a92d1f3df1ecffb96456575126caed1b74bb15.tar.gz
bootsplash-95a92d1f3df1ecffb96456575126caed1b74bb15.tar.bz2
bootsplash-95a92d1f3df1ecffb96456575126caed1b74bb15.tar.xz
bootsplash-95a92d1f3df1ecffb96456575126caed1b74bb15.zip
Add Makefile and .spec
Diffstat (limited to 'scripts/Makefile')
-rw-r--r--scripts/Makefile15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/Makefile b/scripts/Makefile
new file mode 100644
index 0000000..e27fd95
--- /dev/null
+++ b/scripts/Makefile
@@ -0,0 +1,15 @@
+PL=detect-resolution
+SH=make-boot-splash rewritejpeg
+
+sharedir=/usr/share
+
+check:
+ @for i in $(SH);do /bin/bash -n $$i || exit 1;echo $$i syntax OK;done
+ @for i in $(PL);do perl -c $$i ||exit 1;done
+
+install:
+ @mkdir -p $(prefix)$(sharedir)/bootsplash/scripts/
+ @for i in $(SH) $(PL);do install -m755 $$i $(prefix)$(sharedir)/bootsplash/scripts/;done
+
+clean:
+ rm -f *~ \#*\# \ No newline at end of file